Skip to main content
GET
/
api
/
v1
/
merchants
/
{merchant_id}
/
search
/
metrics
/
queries
Get Search Query Stats Endpoint
curl --request GET \
  --url https://api.example.com/api/v1/merchants/{merchant_id}/search/metrics/queries \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/merchants/{merchant_id}/search/metrics/queries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/merchants/{merchant_id}/search/metrics/queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "markets": [
    {
      "market": "<string>",
      "locale": "<string>",
      "top_queries": [
        {
          "query": "<string>",
          "count": 123,
          "locale": "<string>"
        }
      ],
      "top_no_result_queries": [
        {
          "query": "<string>",
          "count": 123,
          "locale": "<string>"
        }
      ]
    }
  ],
  "prev_markets": [
    {
      "market": "<string>",
      "locale": "<string>",
      "top_queries": [
        {
          "query": "<string>",
          "count": 123,
          "locale": "<string>"
        }
      ],
      "top_no_result_queries": [
        {
          "query": "<string>",
          "count": 123,
          "locale": "<string>"
        }
      ]
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

merchant_id
string
required

Query Parameters

start_timestamp
integer | null
end_timestamp
integer | null
max_queries_per_market
integer
default:10
market
string | null

Response

Successful Response

markets
MarketSearchQueries · object[]
required
prev_markets
MarketSearchQueries · object[]
required